---
search:
  tags:
    - Players
    - GET
seo:
  description: >-
    List players with their team and score. Reference for the GET
    /api/admin/players endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: List players with their team and score
  badge: GET
title: List players with their team and score
type: openapi-operation
---
`GET /api/admin/players`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "players": [
    {
      "points": 0,
      "id": "string",
      "name": "string",
      "username": "string",
      "email": "string",
      "banned": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "teamId": "string",
      "teamName": "string",
      "teamHandle": "string",
      "teamNumber": 0
    }
  ],
  "total": 0,
  "limit": 0,
  "offset": 0
}
```
